Skip to main content

[TriCore] I cannot connect to my target after installing Version 2018.01.92378 or newer - Knowledgebase / FAQs by core architecture / TriCore - Lauterbach Support

[TriCore] I cannot connect to my target after installing Version 2018.01.92378 or newer

This article applies if:

  • you are using JTAG to connect to your target
  • you are not explicitly configuring the connection type, i.e., you are not using SYStem.CONFIG DEBUGPORTTYPE in your start-up script
  • You are using Version 2018.01.0000092378 or newer

The default setting for SYStem.CONFIG DEBUGPORTYPE changed in Version S.2018.01.0000092378 from JTAG to DAP2.

Reasons: DAP has better robustness, is supported by all current TriCore CPUs and is preferred by most customers.

Solution: Explicitly set SYStem.CONFIG DEBUGPORTTYPE JTAG.

Helpful Unhelpful